suix_getAllBalances

Coin Query API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Return the total coin balance for all coin type, owned by the address owner.

Parameters

KeyRequiredTypeDetail
ownerSuiAddressthe owner's Sui address
"params": [
  "0x4ebd34f77a6d2bb316a52eb5ee16f37661771e7dd6d6efbb53d81135c20f0a83"
]

Result

Vec<Balance> : <[Balance]> - get all balances for the address in the request.

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "suix_getAllBalances",
  "params": [
    "0x4ebd34f77a6d2bb316a52eb5ee16f37661771e7dd6d6efbb53d81135c20f0a83"
  ]
}
'

Response

{
    "jsonrpc": "2.0",
    "result": [
        {
            "coinType": "0x934692a74595c4f5a0c026130eb2143eea6fc313742f5d7dd9e45fd6ddbb00f1::suime::SUIME",
            "coinObjectCount": 1,
            "totalBalance": "2120000000000",
            "lockedBalance": {}
        },
        {
            "coinType": "0x2::sui::SUI",
            "coinObjectCount": 1,
            "totalBalance": "2883260113",
            "lockedBalance": {}
        },
        {
            "coinType": "0x6864a6f921804860930db6ddbe2e16acdf8504495ea7481637a1c8b9a8fe54b::cetus::CETUS",
            "coinObjectCount": 1,
            "totalBalance": "18294408672",
            "lockedBalance": {}
        }
    ],
    "id": 1
}
Path Params
string
required
Defaults to 8f170bbbc110407597b2ded8474747db
Body Params
string
Defaults to { "jsonrpc": "2.0", "id": 1, "method": "suix_queryTransactionBlocks", "params": [ { "filter": { "InputObject": "0xbb1531504c9c3235d3cd637ed9573cbe18461255b4175a1cb1e1b07b8aa8e11b" }, "options": null } ] }
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json